# ecload

A small tool to download books from https://www.e-codices.unifr.ch.

Download the latest build for your OS from the [release](https://code.vanwa.ch/shu/ecload/-/releases)
page (`darwin` is for macOS). If you are unsure what to do with the files, you will 
probably want to try `ecload-tui`.

The basic text user interface  
![tui screenshot](/screenshot.png)

# Building from source

```
make
```

Output is at `bin/ecload` and `bin/ecload-tui`.

# Usage

```
Usage: ecload [-o=<PATH>] [-s=<SIZE>] ID

Download books from https://www.e-codices.unifr.ch
                  
Arguments:        
  ID              ID of the book to download. Copy the last two url parts on the overview page to get it (for example bbb/0003).
                  
Options:          
  -v, --version   Show the version and exit
  -o, --out-dir   save pdf in PATH (default ".")
  -s, --size      Size of the downloaded images. One of small, medium, large, max. (default "medium")

```

# License
Licensed as [MPL 2.0](https://www.mozilla.org/en-US/MPL/2.0/)
